Package jebl.evolution.treesimulation

# Interface IntervalGenerator

All Known Implementing Classes:
  `CoalescentIntervalGenerator`

public interface IntervalGenerator

Version:
  $Id: IntervalGenerator.java 845 2007-11-22 15:51:58Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`double`
`getInterval(double criticalValue, int lineageCount, double currentHeight)`
Calculates the waiting time to the next coalescent for a given critical value (an intensity).

## Method Details

### getInterval

double getInterval(double criticalValue, int lineageCount, double currentHeight)
Calculates the waiting time to the next coalescent for a given critical value (an intensity).

Parameters:
  `lineageCount` - the number of lineages present
  `currentHeight` - the starting height
Returns:
  the interval time